/*==========================================================================
**
**	./pdk/src/drivers/pal/rlconfig.h
**
**	Channel configuration application
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**	ram	06/18/98 v1.0	Created
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/

#include <pdk_psdb.h>

typedef struct ppa_array_s {
	struct ppa_array_s *pa_next;
	int pa_is_trunk;
	int pa_is_failover;
	int pa_is_built;
	int pa_is_znb;
	int pa_has_trunk;
	int32_t pa_dev_id;
	int pa_index;
	int32_t pa_array[NUM_PORTS+1];	/* +1 room for -1 end value */
	uint32_t pa_mode;
	uint32_t pa_rx_timeout;
	uint32_t pa_clear_mode;
} ppa_array_t;

ppa_array_t *rc_create_ppa_array();
void rc_destroy_ppa_array(ppa_array_t *pa);
int rc_push_ppa(ppa_array_t *pa, int32_t ppa);

int rc_create_trunk(int32_t dev_id, ppa_array_t *ppa_array);
int rc_ppa_in_use(int32_t ppa);
int rp_trunk_in_use(int32_t dev_id);
ppa_array_t *rc_find_group(ppa_array_t *pa, int32_t dev_id, int type);
#define FIND_TRUNK 1
#define FIND_FAILOVER 2


