%{
#include <pdk_port.h>
#include <pdk_global.h>
#include <pdk_types.h>
#include <pdk_errno.h>


#include <math.h>
#include <stdio.h>
#include <rlhyacc.h> /* y.tab.h - See Makefile */

int lineno = 1;
int cookie = 0;

extern int32_t rl_debug;

#define DEBUG1 if (rl_debug>0) printf
#define DEBUG2 if (rl_debug>1) printf
#define DEBUG3 if (rl_debug>2) printf
#define DEBUG4 if (rl_debug>3) printf

#define PRINT_STDOUT	\
		if (cookie) {	\
		} else { \
			yylval.chr[0] = yytext[0]; \
			printf("%s",yytext); \
			return(CHR);    \
		}

#define COOKIE_RETURN(v) \
			if (cookie) return((v));

#define SET_COOKIE cookie=1;
#define RESET_COOKIE cookie=0;
#define END_RESET_COOKIE(v) \
			if (cookie) { \
				RESET_COOKIE; \
				return((v)); \
			}
     
%}


DIGIT    [0-9]
HEX_DIGIT [0-9A-Fa-f]

%%

\($Z			{
				DEBUG3("ZNYX\n");
				SET_COOKIE;
				PRINT_STDOUT;
				COOKIE_RETURN(ZNYX);
			}

0x{HEX_DIGIT}+		{
				DEBUG3("DIGIT\n");
				sscanf(yytext,"%x",&yylval.dig);
				COOKIE_RETURN(DIGIT);
				PRINT_STDOUT;
			}
-{DIGIT}+		{
				DEBUG3("DIGIT\n");
				yylval.dig = atoi(yytext);
				COOKIE_RETURN(DIGIT);
				PRINT_STDOUT;
			}
{DIGIT}+		{
				DEBUG3("DIGIT\n");
				yylval.dig = atoi(yytext);
				COOKIE_RETURN(DIGIT);
				PRINT_STDOUT;
			}


\$			{
				DEBUG3("DOLLAR\n");
				PRINT_STDOUT;
				COOKIE_RETURN(DOLLAR);
			}
\,			{
				DEBUG3("COMMA\n");
				PRINT_STDOUT;
				COOKIE_RETURN(COMMA);
			}

\n			{
				lineno++;
				PRINT_STDOUT;
			}
\)			{
				DEBUG3("END\n");
				PRINT_STDOUT;
				END_RESET_COOKIE(END);
			}

.           		{ 
				DEBUG4( "Unrecognized character: %s\n", yytext ); 
				PRINT_STDOUT;
			}
%%


yywrap()
{
	return(1);
}

