/*==========================================================================
**
**	rlhmtl.h
**
**	RLHTML library functions
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**	tmh	10/18/99 v1.0	Created
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/

#ifndef PDK_RLHTML_H
#define PDK_RLHTML_H

#define RLHTML_INPUT_FIELDS 8

typedef struct rlhtml_input_pair {
	int32_t		rip_field;
	int32_t		rip_value;
} rlhtml_input_pair_t;

typedef struct rlhtml_output_format {
	int32_t		rof_field;
	uint32_t	rof_format;
#define ROF_NO_OUTPUT			0
#define ROF_TYPE_INTEGER		1
#define ROF_TYPE_HEX_INTEGER		2
#define ROF_TYPE_STATE_NAME		3
#define ROF_TYPE_FAULT_NAME		4
#define ROF_TYPE_LINK_CFG_NAME		5
#define ROF_TYPE_LINK_STATE_NAME	6
#define ROF_TYPE_LINKUP_COLOR		7
#define ROF_TYPE_FAULT_COLOR		8
#define ROF_TYPE_LINK_STATE_COLOR	9
#define ROF_TYPE_RLK_MODE		10
#define ROF_TYPE_LINKUP_NAME		11
#define ROF_TYPE_STATE_COLOR		12
#define ROF_TYPE_NOTIFICATION_BLOCK	13
} rlhtml_output_format_t;

typedef struct rlhtml_args {
	uint32_t		ra_opcode;
	int32_t			ra_dev_id;
	int32_t			ra_num_input_pairs;
	rlhtml_input_pair_t	ra_input_pairs[RLHTML_INPUT_FIELDS];
	rlhtml_output_format_t	ra_output_format;
} rlhtml_args_t;

uint32_t rlhtml_process_opcode(rlhtml_args_t * rlha);


#endif /* PDK_RLHTML_H */

