%{
#include <pdk_port.h>
#include <pdk_global.h>
#include <pdk_types.h>
#include <pdk_errno.h>

#include <rlconfig.h>

#include <math.h>
#include <stdio.h>
#include <rlyacc.tab.h> /* y.tab.h - See Makefile */

extern yyval;
int lineno = 1;
     
%}

%%

"#".+			{ ; } /* Skip blanks and tabs */

[ \t]+			{ ; } /* Skip blanks and tabs */

[0-9a-fA-F]		{
				if (yytext[0] <= '9')
					yylval.ppa = atoi(yytext);
				else if (yytext[0] <= 'F')
					yylval.ppa = yytext[0] - 'A' + 10;
				else
					yylval.ppa = yytext[0] - 'a' + 10;
				
				return(DIGIT);
			}
0x			{
				return(HEX);
			}
trunk			{
				return(TRUNK);
			}

failover		{
				return(FAILOVER);
			}

\,			{
				return(COMMA);
			}

=			{
				return(EQUAL);
			}

!=			{
				return(NOT_EQUAL);
			}

;			{
				return(SEMICOLON);
			}
znb			{
				return(ZNB);
			}
hub_mode		{
				return(HUB_MODE);
			}
snap_bcast_mode		{
				return(SNAP_BCAST_MODE);
			}
round_robin_mode	{
				return(ROUND_ROBIN_MODE);
			}

ip_trunking_mode	{
				return(IP_TRUNKING_MODE);
			}
balance_mode		{
				return(BALANCE_MODE);
			}
integrity_mode		{
				return(INTEGRITY_MODE);
			}
layer_3_mode		{
				return(LAYER_3_MODE);
			}
layer_2_mode		{
				return(LAYER_2_MODE);
			}
timeout_mode		{
				return(TIMEOUT_MODE);
			}
teardown		{
				return(TEARDOWN);
			}
\n			{
				lineno++;
			}

%%


yywrap()
{
	return(1);
}

