/*==========================================================================
**
**	./pdk/src/drivers/sal/pdk_linux.h
**
**	System abstraction layer for Linux
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**==========================================================================
**
**	david	02/16/99 	Created
**	jr	09/15/01	NB version plus the #includes from oa
**				version. defined int pdk_sal_debug.
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/
/*
 * Linux specific shared data structure
 */

#ifndef PDK_LINUX_H
#define PDK_LINUX_H

#include <linux/config.h>
#include <linux/version.h>
#include <linux/kernel.h>
#include <linux/sched.h>
#include <linux/string.h>
#include <linux/timer.h>
#include <linux/errno.h>
#include <linux/ioport.h>
#include <linux/malloc.h>
#include <linux/interrupt.h>
#include <linux/pci.h>
#include <linux/netdevice.h>
#include <linux/etherdevice.h>
#include <linux/fs.h>
#include <asm/io.h>
#include <linux/byteorder/generic.h>

#include <pdk_port.h>
#include <pdk_global.h>
#include <pdk_types.h>
#include <pdk_constant.h>
#include <pdk_layer.h>

#if (LINUX_VERSION_CODE < 0x02030e)
#define net_device device
#endif

typedef struct zxe_array_s {
	struct net_device	*za_dev;
	int32_t			za_ppa;
	uint32_t		za_state;
	uint32_t		za_flags;
	uint32_t		za_nolink;
	pdk_ether_addr_t	za_curaddr;
	pdk_layer_routines_t	za_llr;
} zxe_array_t;

extern zxe_array_t zxe_array_base[NUM_PORTS];
extern zxe_array_t *zxe_array[NUM_PORTS];
extern struct pci_dev *znb_pdev[];
extern uint32_t znb_reg[];

extern int pdk_sal_debug;

#endif /* PDK_LINUX_H */
