/*==========================================================================
**
**	include/pdk_port.h
**
**	definitions specific to Linux
**
**==========================================================================
**
**	(c) Copyright 1996, 1997, 1998, 1999 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**	ram	01/05/99	Created.
**	jr	01/28/02	Modified PDK_PCI_MEM_BASE definition
**
**==========================================================================
*/

#ifndef PDK_PORT_H
#define PDK_PORT_H

#include <linux/version.h>
#include <linux/config.h>
#define PDK_HAL_SPEEDO 1

#ifndef __powerpc__
#define PDK_NETWORK_ORDER 4321  /* Network to CPU order */
#define PDK_BUS_ORDER 1234      /* Bus to CPU order */
#define PDK_PCI_MEM_BASE	0

#define INTEL
#endif

#ifdef __powerpc__
#define PDK_NETWORK_ORDER	1234  /* Network to CPU order */
#define PDK_BUS_ORDER		4321  /* Bus to CPU order */

/* Please: the 'normal' case for this should be 0, i.e. the kernel
   is aware of any offsets. Only define as 0xc0000000 if compiled for
   one of the motorola cards, and if the kernel is unaware. */
#define PDK_PCI_MEM_BASE	0x0

#if 0
#ifdef CONFIG_MCPN765
#define PDK_PCI_MEM_BASE	0x0
#else
#define PDK_PCI_MEM_BASE	0xc0000000
#endif
#endif
#endif


#define TX_SHADOW
#define RX_SHADOW

#define BR554
/* what should these be?
 * #define PDK_NTBRIDGE_INTR_CLAIMED DDI_INTR_CLAIMED
 * #define PDK_NTBRIDGE_INTR_UNCLAIMED DDI_INTR_UNCLAIMED
 */

#define TXD_SIZE 128
#define RXD_SIZE 128

#define TRUE 1
#define FALSE 0
/*
#ifdef current
#undef current
#endif
*/
#if ZNYX_82559
#define PDK_ETHERRECV_SIZE 2048
#endif

#if ZNYX_NB_
#define PDK_ETHERRECV_SIZE 1536 
#endif

#if ZNYX_ZX231
#define PDK_ETHERRECV_SIZE 9536 
#endif

#endif /* PDK_PORT_H */
